import { initLogin } from "./devLogin";
import "./styles/global.css";
import { createApp } from "vue";
import App from "./App.vue";
import router from "@/router";
import filters from "@/filters";

// if(process.env.NODE_ENV)
// console.log(import.meta.env.DEV);
const app = createApp(App);
app.use(router);
app.config.globalProperties.$filters = filters;
if (import.meta.env.DEV) {
  initLogin().then(() => {
    app.mount("#app");
  });
} else {
  app.mount("#app");
}
